## com.mysql.jdbc
Class PreparedStatement.EmulatedPreparedStatementBindings

    java.lang.Object
      com.mysql.jdbc.PreparedStatement.EmulatedPreparedStatementBindings

All Implemented Interfaces:
  ParameterBindings

Enclosing class:
  PreparedStatement

     class PreparedStatement.EmulatedPreparedStatementBindings

extends java.lang.Object
implements ParameterBindings

Constructor Summary
`PreparedStatement.EmulatedPreparedStatementBindings()`

Method Summary
`java.sql.Array` `getArray(int parameterIndex)`
`java.io.InputStream` `getAsciiStream(int parameterIndex)`
`java.math.BigDecimal` `getBigDecimal(int parameterIndex)`
`java.io.InputStream` `getBinaryStream(int parameterIndex)`
`java.sql.Blob` `getBlob(int parameterIndex)`
`boolean` `getBoolean(int parameterIndex)`
`byte` `getByte(int parameterIndex)`
`byte[]` `getBytes(int parameterIndex)`
`java.io.Reader` `getCharacterStream(int parameterIndex)`
`java.sql.Clob` `getClob(int parameterIndex)`
`java.sql.Date` `getDate(int parameterIndex)`
`double` `getDouble(int parameterIndex)`
`float` `getFloat(int parameterIndex)`
`int` `getInt(int parameterIndex)`
`long` `getLong(int parameterIndex)`
`java.io.Reader` `getNCharacterStream(int parameterIndex)`
`java.io.Reader` `getNClob(int parameterIndex)`
`java.lang.Object` `getObject(int parameterIndex)`
`java.sql.Ref` `getRef(int parameterIndex)`
`short` `getShort(int parameterIndex)`
`java.lang.String` `getString(int parameterIndex)`
`java.sql.Time` `getTime(int parameterIndex)`
`java.sql.Timestamp` `getTimestamp(int parameterIndex)`
`java.net.URL` `getURL(int parameterIndex)`
`boolean` `isNull(int parameterIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStatement.EmulatedPreparedStatementBindings

    public PreparedStatement.EmulatedPreparedStatementBindings()
                                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getArray

    public java.sql.Array getArray(int parameterIndex)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getAsciiStream` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(int parameterIndex)
                                        throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(int parameterIndex)
                                      throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getNCharacterStream

    public java.io.Reader getNCharacterStream(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getNCharacterStream` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getNClob

    public java.io.Reader getNClob(int parameterIndex)
                            throws java.sql.SQLException

  Specified by:
    `getNClob` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int parameterIndex)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`

### isNull

    public boolean isNull(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `isNull` in interface `ParameterBindings`
  Throws:
    `java.sql.SQLException`